package ics.uci.edu.Calico.models.actions;

import java.awt.geom.Rectangle2D;

public class BGEErase extends CalicoAction {

	private int x, y, w, h;
	public int modelId;
	
	public BGEErase(int id, Rectangle2D b) {
		x = new Double(b.getX()).intValue();
		y = new Double(b.getY()).intValue();
		w = new Double(b.getWidth()).intValue();
		h = new Double(b.getHeight()).intValue();
		modelId = id;
	}
	
	public Rectangle2D getRect() {
		return new Rectangle2D.Double(x,y,w,h);
	}
	
	@Override
	public String getAction() {
		return "Erase Background Element";
	}

}
