package ics.uci.edu.Calico.models.actions;
import ics.uci.edu.Calico.models.BGElementModel;

import java.awt.Color;
import java.awt.Polygon;

public class CreateBackgroundElement extends CalicoAction {

	public Polygon poly;
	public Color color;

	public CreateBackgroundElement(Polygon p, Color c) {
		poly = p;
		color = c;
	}
	
	// Mitch add
	public CreateBackgroundElement(BGElementModel bg) {
		poly = bg.poly;
		color = bg.color;
	}
	
	@Override
	public String getAction() {
		return "Create Background Element";
	}

}
