/*
 * Creator: Brad Dykzeul
 * Created on Mar 23, 2008
 * Copyright, 2007 University of California
*/
package ics.uci.edu.Calico.networking;


import ics.uci.edu.Calico.UI.components.CalicoGrid.CGCell;
import ics.uci.edu.Calico.models.ObjectHandlerModel;
import ics.uci.edu.Calico.models.actions.CalicoAction;

import java.io.Serializable;

public class SerializedCell implements Serializable {
	
	private static final long serialVersionUID = 1L;
	public ObjectHandlerModel model;
	public int position;
	public int inhabitants;
	
	public SerializedCell(CGCell cell) {
		model = cell.getModel();
		position = cell.position;
	}
	
	public SerializedCell(int pos, ObjectHandlerModel model){
		this.model = model;
		this.position =pos;
	}
	
	public SerializedCell(int pos, ObjectHandlerModel model, int inhabitants){
		this.model = model;
		this.position = pos;
		this.inhabitants = inhabitants;
	}
	
	
	
}
